document.addEventListener('DOMContentLoaded', () => {
    const moveButtons = document.querySelectorAll('.moves button');
    const effectsLayer = document.querySelector('.effects-layer');
    
    moveButtons.forEach(button => {
        button.addEventListener('click', (e) => {
            const move = e.target.textContent;
            executeMove(move);
        });
    });
    
    function executeMove(moveName) {
        const effect = document.createElement('div');
        effect.style.position = 'absolute';
        effect.style.width = '50px';
        effect.style.height = '50px';
        effect.style.borderRadius = '50%';
        
        if (moveName.includes('Water') || moveName.includes('Ice')) {
            effect.style.background = 'radial-gradient(circle, #2196f3, transparent)';
        } else if (moveName.includes('Flare') || moveName.includes('Fire')) {
            effect.style.background = 'radial-gradient(circle, #ff5722, transparent)';
        }
        
        effect.style.left = Math.random() * 100 + '%';
        effect.style.top = Math.random() * 100 + '%';
        effect.style.animation = 'fadeOut 1s forwards';
        
        effectsLayer.appendChild(effect);
        
        setTimeout(() => {
            effect.remove();
        }, 1000);
    }
});

@keyframes fadeOut {
    from { opacity: 1; transform: scale(1); }
    to { opacity: 0; transform: scale(2); }
}
